List accounts available for sharing
curl --request GET \
--url https://api.provider.fiskil.com/auth/v1/customer/{customerId}/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.provider.fiskil.com/auth/v1/customer/{customerId}/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.provider.fiskil.com/auth/v1/customer/{customerId}/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accounts": [
{
"accountId": "aae2c55a-d8df-4c56-bc1a-3f36af2a24dc",
"displayName": "Savings Account",
"subtitle": "102312",
"openStatus": "OPEN",
"extensions": {
"cdr": {
"complexAccountType": "JOINT",
"users": [
{
"id": "3671870b-2ece-4767-9425-f506e22075a6",
"email": "hello@example.com",
"isAccountHolder": true
},
{
"id": "86251be4-0e3d-488a-aeea-ae28ae8386bb",
"email": "hello@example.org",
"isAccountHolder": false
}
]
}
}
}
]
}Consent Flow
List accounts available for sharing
GET
/
auth
/
v1
/
customer
/
{customerId}
/
accounts
List accounts available for sharing
Authorizations
The Fiskil Data Provider will include a self-signed JWT as a Bearer token in the Authorization header.
You should verify this JWT using the JWKS URL you can find for your Data Provider instance in the Fiskil Console. To verify the JWT you must:
- Verify the signature
- Ensure the token has not expired by checking the
expclaim - The
subandissclaims are your data provider subdomain - The
audclaim is the URI of the resource being requested (excluding any query parameters) - The
jtivalue is unique For further detail on security and authentication refer to our Authentication documentation
Path Parameters
ID of a customer
Response
List of accounts
List of account available for consent
An array of accounts available for consent
Show child attributes
Show child attributes
Was this page helpful?